Skip to content
GET /unified/hris/groups

Query Parameters

Refer Specifying query parameters in Truto APIs

typestring

Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.

Possible values:
business_unitclassclient_teamcost_centerdepartmentdivisiongroupofficeorg_locationorg_unitorganizationpay_group+ 2 more
23 supported9 required
AlexisHR
required
departmentofficeteamcost_center
Breathe
required
departmentdivision
Hailey HR
required
departmentteam
HeavenHR
required
organizationcost_center
Kenjo
required
departmentteam
Oracle Netsuite
required
departmentclass
Officient
required
departmentteam
PeopleForce
required
departmentdivisionteam
Rippling
required
departmentteam
Charlie
supported
ClayHR
supported
Factorial
supported
Gusto
supported
HiBob
supported
HR Partner
supported
IntelliHR
supported
JumpCloud
supported
Lucca
supported
Namely
supported
Okta
supported
Repute
supported
ServiceNow
supported
Zoho People
supported
company_idstring

The company ID you want to get the groups for

1 supported1 required
Gusto
required
namestring

Group's name

29 supported
AlexisHR
supported
Breathe
supported
Charlie
supported
ClayHR
supported
Factorial
supported
Google
supported
Google Workspace
supported
greytHR
supported
Gusto
supported
Hailey HR
supported
HeavenHR
supported
HiBob
supported
HR Cloud
supported
HR Partner
supported
IntelliHR
supported
JumpCloud
supported
Keka
supported
Kenjo
supported
Lucca
supported
Namely
supported
Oracle Netsuite
supported
Officient
supported
Okta
supported
PeopleForce
supported
Repute
supported
Rippling
supported
ServiceNow
supported
Workable
supported
Zoho People
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Groups

idstring
required·

The unique identifier for groups

29 supported
AlexisHR
supported
Breathe
supported
Charlie
supported
ClayHR
supported
Factorial
supported
Google
supported
Google Workspace
supported
greytHR
supported
Gusto
supported
Hailey HR
supported
HeavenHR
supported
HiBob
supported
HR Cloud
supported
HR Partner
supported
IntelliHR
supported
JumpCloud
supported
Keka
supported
Kenjo
supported
Lucca
supported
Namely
supported
Oracle Netsuite
supported
Officient
supported
Okta
supported
PeopleForce
supported
Repute
supported
Rippling
supported
ServiceNow
supported
Workable
supported
Zoho People
supported
created_atstring · date-time

This represents the date when the groups was created

7 supported
AlexisHR
supported
Breathe
supported
Okta
supported
PeopleForce
supported
Rippling
supported
ServiceNow
supported
Zoho People
supported
descriptionstring

Short description of the group

13 supported
AlexisHR
supported
ClayHR
supported
Factorial
supported
Google
supported
Google Workspace
supported
IntelliHR
supported
JumpCloud
supported
Keka
supported
Lucca
supported
Namely
supported
Officient
supported
Okta
supported
ServiceNow
supported
namestring

Group's name

29 supported
AlexisHR
supported
Breathe
supported
Charlie
supported
ClayHR
supported
Factorial
supported
Google
supported
Google Workspace
supported
greytHR
supported
Gusto
supported
Hailey HR
supported
HeavenHR
supported
HiBob
supported
HR Cloud
supported
HR Partner
supported
IntelliHR
supported
JumpCloud
supported
Keka
supported
Kenjo
supported
Lucca
supported
Namely
supported
Oracle Netsuite
supported
Officient
supported
Okta
supported
PeopleForce
supported
Repute
supported
Rippling
supported
ServiceNow
supported
Workable
supported
Zoho People
supported
parent_groupstring

Parent Group of this group

10 supported
AlexisHR
supported
ClayHR
supported
IntelliHR
supported
Lucca
supported
Oracle Netsuite
supported
PeopleForce
supported
Rippling
supported
ServiceNow
supported
Workable
supported
Zoho People
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

Type of the group. Some underlying providers use this to differentiate between in-built and user created groups.

Possible values:
teamdepartmentgroupcost_centerorg_unitofficedivisionbusiness_unitorganizationorg_locationpay_groupproject_team+ 3 more
23 supported
AlexisHR
supported
Breathe
supported
Charlie
supported
ClayHR
supported
Factorial
supported
Gusto
supported
Hailey HR
supported
HeavenHR
supported
HiBob
supported
HR Partner
supported
IntelliHR
supported
JumpCloud
supported
Kenjo
supported
Lucca
supported
Namely
supported
Oracle Netsuite
supported
Officient
supported
Okta
supported
PeopleForce
supported
Repute
supported
Rippling
supported
ServiceNow
supported
Zoho People
supported
updated_atstring · date-time

This represents the date when the groups was updated

8 supported
AlexisHR
supported
Breathe
supported
Oracle Netsuite
supported
Okta
supported
PeopleForce
supported
Rippling
supported
ServiceNow
supported
Zoho People
supported
curl -X GET 'https://api.truto.one/unified/hris/groups?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/hris/groups?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/hris/groups"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'hris',
  'groups',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "hris",
        "groups",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())